## BtSettingsPageAudiodevices BtSettingsPageAudiodevices — audio device configuration settings page |

## Synopsis

    #include "bt-edit.h"

                        BtSettingsPageAudiodevices;
    BtSettingsPageAudiodevices * bt_settings_page_audiodevices_new
                                                            (const BtEditApplication *app);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkTable
                                     +----BtSettingsPageAudiodevices

## Implemented Interfaces

BtSettingsPageAudiodevices implements AtkImplementorIface and GtkBuildable.

## Properties

      "app"                      BtEditApplication*    : Read / Write / Construct Only

## Description

List available GStreamer audio devices. User can pick and configure one.

## Details

### BtSettingsPageAudiodevices

    typedef struct _BtSettingsPageAudiodevices BtSettingsPageAudiodevices;

the root window for the editor application

### bt_settings_page_audiodevices_new ()

    BtSettingsPageAudiodevices * bt_settings_page_audiodevices_new
                                                            (const BtEditApplication *app);

Create a new instance

`app` : | the application the dialog belongs to
Returns : | the new instance or `NULL` in case of an error

## Property Details

### The `"app"` property

      "app"                      BtEditApplication*    : Read / Write / Construct Only

Set application object, the dialog belongs to.